> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get all specs

GET https://api.getpostman.com/specs

Gets all API specifications in a workspace.

Reference: https://learning.postman.com/api-docs/api-reference/specs/get-all-specs

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /specs:
    get:
      operationId: getAllSpecs
      summary: Get all specs
      description: Gets all API specifications in a workspace.
      tags:
        - specs
      parameters:
        - name: workspaceId
          in: query
          description: The workspace's ID.
          required: true
          schema:
            $ref: '#/components/schemas/workspaceId'
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: limit
          in: query
          description: The maximum number of rows to return in the response.
          required: false
          schema:
            $ref: '#/components/schemas/limit'
            default: 10
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getAllSpecs'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllSpecsRequestForbiddenError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllSpecsRequestInternalServerError'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    workspaceId:
      type: string
      title: workspaceId
    cursor:
      type: string
      title: cursor
    limit:
      type: integer
      default: 10
      title: limit
    metaData:
      type: object
      properties:
        nextCursor:
          type:
            - string
            - 'null'
          format: base64
          description: >-
            The pagination cursor that points to the next record in the results
            set.
      description: The response's meta information for paginated results.
      title: metaData
    specType:
      type: string
      enum:
        - OPENAPI:2.0
        - OPENAPI:3.0
        - OPENAPI:3.1
        - ASYNCAPI:2.0
        - ASYNCAPI:3.0
        - PROTOBUF:2
        - PROTOBUF:3
        - GRAPHQL
        - SMITHY:2.0
      description: The type of API specification.
      title: specType
    GetAllSpecsSpecsItems:
      type: object
      properties:
        id:
          type: string
          description: The specification's ID.
        name:
          type: string
          description: The specification's name.
        type:
          $ref: '#/components/schemas/specType'
        createdBy:
          type: integer
          description: The user ID of the user that created the specification.
        updatedBy:
          type: integer
          description: The ID of the user who updated the specification.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the specification was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the specification was updated.
      description: Information about the API specification.
      title: GetAllSpecsSpecsItems
    getAllSpecs:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/metaData'
        specs:
          type: array
          items:
            $ref: '#/components/schemas/GetAllSpecsSpecsItems'
          description: A list of API specifications.
      title: getAllSpecs
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    commonErrorTypeTitleDetailStatusInstance:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        instance:
          type: string
          description: >-
            The URI reference that identifies the specific occurrence of the
            problem.
      title: commonErrorTypeTitleDetailStatusInstance
    GetAllSpecsRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatusInstance'
      title: GetAllSpecsRequestForbiddenError
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetAllSpecsRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetAllSpecsRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "meta": {
    "nextCursor": null
  },
  "specs": [
    {
      "id": "4e032b57-1fd6-41d7-882a-de5ac2107671",
      "name": "OpenAPI 3.0 (Files)",
      "type": "OPENAPI:3.0",
      "createdBy": 12345678,
      "updatedBy": 12345678,
      "createdAt": "2026-02-06T16:23:48.000Z",
      "updatedAt": "2026-02-06T16:24:51.000Z"
    },
    {
      "id": "c693c62f-f9dc-4f9d-ae9d-70ef7ee5dc13",
      "name": "OpenAPI 3.0",
      "type": "OPENAPI:3.0",
      "createdBy": 87654321,
      "updatedBy": 87654321,
      "createdAt": "2026-02-06T16:23:21.000Z",
      "updatedAt": "2026-02-06T16:23:25.000Z"
    },
    {
      "id": "c35e472d-9d08-42c2-bf29-bb57d10ead31",
      "name": "OpenAPI 2.0",
      "type": "OPENAPI:2.0",
      "createdBy": 56781234,
      "updatedBy": 12345678,
      "createdAt": "2026-02-06T16:23:08.000Z",
      "updatedAt": "2026-02-06T16:23:14.000Z"
    },
    {
      "id": "05bcee59-b7b6-4d2b-9910-3a3291948fce",
      "name": "OpenAPI 3.1",
      "type": "OPENAPI:3.1",
      "createdBy": 87654321,
      "updatedBy": 56781234,
      "createdAt": "2026-02-06T16:21:33.000Z",
      "updatedAt": "2026-02-06T16:22:13.000Z"
    },
    {
      "id": "c74e92cd-924d-4cca-b2c2-dc6fdd6da700",
      "name": "Async API YAML",
      "type": "ASYNCAPI:2.0",
      "createdBy": 12345678,
      "updatedBy": 12345678,
      "createdAt": "2026-02-06T16:20:40.000Z",
      "updatedAt": "2026-02-06T16:20:46.000Z"
    },
    {
      "id": "a3c06b93-e6f2-466c-8197-340a2f8e2063",
      "name": "Protobuf 2 (Files)",
      "type": "PROTOBUF:2",
      "createdBy": 12345678,
      "updatedBy": 12345678,
      "createdAt": "2026-02-06T15:46:08.000Z",
      "updatedAt": "2026-02-06T15:46:15.000Z"
    },
    {
      "id": "8ea532f9-cb6e-4306-b50d-3771c0926e31",
      "name": "Protobuf 3",
      "type": "PROTOBUF:3",
      "createdBy": 12345678,
      "updatedBy": 12345678,
      "createdAt": "2026-02-06T15:45:49.000Z",
      "updatedAt": "2026-02-06T15:45:53.000Z"
    },
    {
      "id": "2448ebdb-59c5-4287-80b3-78ef77234275",
      "name": "Protobuf 2",
      "type": "PROTOBUF:2",
      "createdBy": 87654321,
      "updatedBy": 87654321,
      "createdAt": "2026-02-06T15:45:43.000Z",
      "updatedAt": "2026-02-06T15:45:46.000Z"
    },
    {
      "id": "6184347c-8382-41cb-a3d2-af44336a69bb",
      "name": "GraphQL",
      "type": "GRAPHQL",
      "createdBy": 12345678,
      "updatedBy": 12345678,
      "createdAt": "2026-02-06T15:45:34.000Z",
      "updatedAt": "2026-02-06T15:45:39.000Z"
    },
    {
      "id": "482f7385-d937-4e0f-9e1f-bd812acc41fd",
      "name": "Async API JSON",
      "type": "ASYNCAPI:2.0",
      "createdBy": 12345678,
      "updatedBy": 12345678,
      "createdAt": "2025-11-03T14:26:56.000Z",
      "updatedAt": "2026-02-06T16:19:46.000Z"
    },
    {
      "id": "482f7385-d937-4e0f-9e1f-bd812acc41fd",
      "name": "Async API YAML",
      "type": "ASYNCAPI:3.0",
      "createdBy": 12345678,
      "updatedBy": 12345678,
      "createdAt": "2026-05-19T13:27:02.337Z",
      "updatedAt": "2026-05-19T13:27:02.337Z"
    },
    {
      "id": "4e4b7c59-7851-40cb-8503-bbcabe5c7d0f",
      "name": "Smithy",
      "type": "SMITHY:2.0",
      "createdBy": 12345678,
      "updatedBy": 12345678,
      "createdAt": "2026-05-06T13:59:38.000Z",
      "updatedAt": "2026-05-06T13:59:38.000Z"
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/specs"

querystring = {"workspaceId":"1f0df51a-8658-4ee8-a2a1-d2567dfa09a9"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/specs?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/specs?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/specs?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/specs?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/specs?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/specs?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/specs?workspaceId=1f0df51a-8658-4ee8-a2a1-d2567dfa09a9")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```